function getCol(clientId) {
    if ((clientId%3) === 0) {
        return "pink";
    } else if ((clientId%3) === 1) {
        return "purple";
    } else if ((clientId%3) === 2) {
        return "orange";
    }
}

function atanSafe(y, x) {
    var ret=0.0;
    if (x!==0.0) {
        if (x>0.0) {
            ret=Math.atan(y/x);
        } else	{
            ret=Math.atan(y/x)+3.141592;
        }
    } else {
        if (y>=0.0) {
            ret=0.5*3.141592;
        } else {
            ret=-0.5*3.141592;
        }
    }
    return ret;
}
